Index: src/backend/commands/tablecmds.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/commands/tablecmds.c,v
retrieving revision 1.86
diff -c -w -r1.86 tablecmds.c
*** src/backend/commands/tablecmds.c	6 Oct 2003 16:38:27 -0000	1.86
--- src/backend/commands/tablecmds.c	11 Oct 2003 13:50:06 -0000
***************
*** 3525,3531 ****
  		trigdata.tg_newtuple = NULL;
  		trigdata.tg_trigger = &trig;
  
! 		fcinfo.context = (Node *) &trigdata;
  
  		RI_FKey_check_ins(&fcinfo);
  	}
--- 3525,3531 ----
  		trigdata.tg_newtuple = NULL;
  		trigdata.tg_trigger = &trig;
  
! 		fcinfo.context = (void *) &trigdata;
  
  		RI_FKey_check_ins(&fcinfo);
  	}
Index: src/backend/executor/execQual.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/executor/execQual.c,v
retrieving revision 1.146
diff -c -w -r1.146 execQual.c
*** src/backend/executor/execQual.c	25 Sep 2003 23:02:11 -0000	1.146
--- src/backend/executor/execQual.c	11 Oct 2003 13:50:09 -0000
***************
*** 746,752 ****
  	 */
  	if (fcache->func.fn_retset)
  	{
! 		fcinfo.resultinfo = (Node *) &rsinfo;
  		rsinfo.type = T_ReturnSetInfo;
  		rsinfo.econtext = econtext;
  		rsinfo.expectedDesc = NULL;
--- 746,752 ----
  	 */
  	if (fcache->func.fn_retset)
  	{
! 		fcinfo.resultinfo = (void *) &rsinfo;
  		rsinfo.type = T_ReturnSetInfo;
  		rsinfo.econtext = econtext;
  		rsinfo.expectedDesc = NULL;
***************
*** 992,998 ****
  	 * doesn't actually get to see the resultinfo, but set it up anyway
  	 * because we use some of the fields as our own state variables.
  	 */
! 	fcinfo.resultinfo = (Node *) &rsinfo;
  	rsinfo.type = T_ReturnSetInfo;
  	rsinfo.econtext = econtext;
  	rsinfo.expectedDesc = expectedDesc;
--- 992,998 ----
  	 * doesn't actually get to see the resultinfo, but set it up anyway
  	 * because we use some of the fields as our own state variables.
  	 */
! 	fcinfo.resultinfo = (void *) &rsinfo;
  	rsinfo.type = T_ReturnSetInfo;
  	rsinfo.econtext = econtext;
  	rsinfo.expectedDesc = expectedDesc;
Index: src/backend/port/sysv_shmem.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/port/sysv_shmem.c,v
retrieving revision 1.17
diff -c -w -r1.17 sysv_shmem.c
*** src/backend/port/sysv_shmem.c	29 Sep 2003 00:05:25 -0000	1.17
--- src/backend/port/sysv_shmem.c	11 Oct 2003 13:50:11 -0000
***************
*** 365,371 ****
  
  	if (hdr->magic != PGShmemMagic)
  	{
! 		shmdt(hdr);
  		return NULL;			/* segment belongs to a non-Postgres app */
  	}
  
--- 365,371 ----
  
  	if (hdr->magic != PGShmemMagic)
  	{
! 		shmdt((void *) hdr);
  		return NULL;			/* segment belongs to a non-Postgres app */
  	}
  
Index: src/backend/storage/lmgr/proc.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/storage/lmgr/proc.c,v
retrieving revision 1.133
diff -c -w -r1.133 proc.c
*** src/backend/storage/lmgr/proc.c	4 Aug 2003 02:40:03 -0000	1.133
--- src/backend/storage/lmgr/proc.c	11 Oct 2003 13:50:12 -0000
***************
*** 1013,1019 ****
  
  	/* If we reach here, okay to set the timer interrupt */
  #ifndef __BEOS__
! 	MemSet(&timeval, 0, sizeof(struct itimerval));
  	timeval.it_value.tv_sec = delayms / 1000;
  	timeval.it_value.tv_usec = (delayms % 1000) * 1000;
  	if (setitimer(ITIMER_REAL, &timeval, NULL))
--- 1013,1019 ----
  
  	/* If we reach here, okay to set the timer interrupt */
  #ifndef __BEOS__
! 	MemSet((void *)&timeval, 0, sizeof(struct itimerval));
  	timeval.it_value.tv_sec = delayms / 1000;
  	timeval.it_value.tv_usec = (delayms % 1000) * 1000;
  	if (setitimer(ITIMER_REAL, &timeval, NULL))
***************
*** 1054,1060 ****
  #ifndef __BEOS__
  		struct itimerval timeval;
  
! 		MemSet(&timeval, 0, sizeof(struct itimerval));
  		if (setitimer(ITIMER_REAL, &timeval, NULL))
  		{
  			statement_timeout_active = deadlock_timeout_active = false;
--- 1054,1060 ----
  #ifndef __BEOS__
  		struct itimerval timeval;
  
! 		MemSet((void *)&timeval, 0, sizeof(struct itimerval));
  		if (setitimer(ITIMER_REAL, &timeval, NULL))
  		{
  			statement_timeout_active = deadlock_timeout_active = false;
***************
*** 1120,1126 ****
  #ifndef __BEOS__
  		struct itimerval timeval;
  
! 		MemSet(&timeval, 0, sizeof(struct itimerval));
  		timeval.it_value.tv_sec = statement_fin_time.tv_sec - now.tv_sec;
  		timeval.it_value.tv_usec = statement_fin_time.tv_usec - now.tv_usec;
  		if (timeval.it_value.tv_usec < 0)
--- 1120,1126 ----
  #ifndef __BEOS__
  		struct itimerval timeval;
  
! 		MemSet((void *)&timeval, 0, sizeof(struct itimerval));
  		timeval.it_value.tv_sec = statement_fin_time.tv_sec - now.tv_sec;
  		timeval.it_value.tv_usec = statement_fin_time.tv_usec - now.tv_usec;
  		if (timeval.it_value.tv_usec < 0)
Index: src/bin/psql/command.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/command.c,v
retrieving revision 1.103
diff -c -w -r1.103 command.c
*** src/bin/psql/command.c	29 Sep 2003 16:39:18 -0000	1.103
--- src/bin/psql/command.c	11 Oct 2003 13:50:15 -0000
***************
*** 1280,1286 ****
  				case '7':
  				case '8':
  				case '9':
! 					c = parse_char((char **) &p);
  					break;
  
  				default:
--- 1280,1286 ----
  				case '7':
  				case '8':
  				case '9':
! 					c = parse_char((void *) &p);
  					break;
  
  				default:
